Subject: Sales Order walmart.com

From: [email-masked], [email-masked], [email-masked], "Dose <smime-archive"@lists.ietf.org
Date: Thu, 30 Apr 2009 14:50:21 -0700 (PDT)

Unsubscribe | Your Privacy Rights

2008 Rodale Inc., all rights reserved.
Customer Service Department, 33 East Minor Street, Emmaus, PA 18098

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3TIoGQf052148 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 29 Apr 2009 11:50:16 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3TIoGFc052147; Wed, 29 Apr 2009 11:50:16 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp103.biz.mail.re2.yahoo.com (smtp103.biz.mail.re2.yahoo.com [68.142.229.217]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n3TIo4si052126 for ; Wed, 29 Apr 2009 11:50:15 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 57858 invoked from network); 29 Apr 2009 18:50:04 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp103.biz.mail.re2.yahoo.com with SMTP; 29 Apr 2009 18:50:04 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: 6wbJqGsVM1l7PbWHN5ZI0fsacZDNnyQFyxIJb4bqdLI76t5_TbSsxIpZr0lS_SiK349S_Pj3zmuDl6p28wgPkFbVopB8dIBDjpOSc.yzuh5qJF_9lPjwCLPpfswe_TsKcA2KVGP.R4VEfoOCU8_VdVET.wmEvs0L90L8Flx05LZCpUNY1sM8yE5fTc5qcWYpC4me_2UHCwI1pAjc5fL6BOiAkf2StKmpU2Phi21mZiRmRLiTeqFjHl9rfehUHOlgP8WR4ZJScDEsn0Xq7BzrpS5TjNIFOe95KnyTjH2kjvTU_ENWWAzafg--
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Wed, 29 Apr 2009 14:50:03 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)
MIME-Version: 1.0
To: [email-masked]
Subject: SMIME WG at IETF 75?
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

I hadn't planned on asking for a meeting slot at IETF 75. Is there
anyone who has something they really must discuss at IETF 75?

spt

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RLkOtX070278 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 27 Apr 2009 14:46:24 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3RLkOAG070275; Mon, 27 Apr 2009 14:46:24 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RLkNL4070257 for ; Mon, 27 Apr 2009 14:46:23 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0) id C9EF928C200; Mon, 27 Apr 2009 14:45:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-smime-3851bis-10.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Mon, 27 Apr 2009 14:45:01 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : Secure/Multipurpose Internet Mail Extensions (S/MIME) Version 3.2 Message Specification
Author(s) : B. Ramsdell, S. Turner
Filename : draft-ietf-smime-3851bis-10.txt
Pages : 45
Date : 2009-4-27

This document defines Secure/Multipurpose Internet Mail Extensions
(S/MIME) version 3.2. S/MIME provides a consistent way to send and
receive secure MIME data. Digital signatures provide authentication,
message integrity, and non-repudiation with proof of origin.
Encryption provides data confidentiality. Compression can be used to
reduce data size. This document obsoletes RFC 3851.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-3851bis-10.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-3851bis-10.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RLkOuI070276 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 27 Apr 2009 14:46:24 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3RLkOQT070274; Mon, 27 Apr 2009 14:46:24 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RLkNZK070256 for ; Mon, 27 Apr 2009 14:46:23 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0) id BF18528C1CC; Mon, 27 Apr 2009 14:45:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-smime-3850bis-10.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Mon, 27 Apr 2009 14:45:01 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : Secure/Multipurpose Internet Mail Extensions (S/MIME) Version 3.2 Certificate Handling
Author(s) : S. Turner, B. Ramsdell
Filename : draft-ietf-smime-3850bis-10.txt
Pages : 22
Date : 2009-4-27

This document specifies conventions for X.509 certificate usage by
Secure/Multipurpose Internet Mail Extensions (S/MIME) v3.2 agents.
S/MIME provides a method to send and receive secure MIME messages,
and certificates are an integral part of S/MIME agent processing.
S/MIME agents validate certificates as described in RFC 5280, the
Internet X.509 Public Key Infrastructure Certificate and CRL Profile.
S/MIME agents must meet the certificate processing requirements in
this document as well as those in RFC 5280. This document obsoletes
RFC 3850.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-3850bis-10.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-3850bis-10.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RKmiEO066036 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 27 Apr 2009 13:48:44 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3RKmiqn066034; Mon, 27 Apr 2009 13:48:44 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from rufus.isode.com (rufus.isode.com [62.3.217.251]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RKmWjZ066014 for ; Mon, 27 Apr 2009 13:48:43 -0700 (MST) (envelope-from [email-masked])
Received: from [92.40.40.198] (92.40.40.198.sub.mbb.three.co.uk [92.40.40.198]) by rufus.isode.com (submission channel) via TCP with ESMTPA id ; Mon, 27 Apr 2009 21:48:31 +0100
Message-ID: <[email-masked]>
Date: Mon, 27 Apr 2009 21:48:20 +0100
From: Alexey Melnikov
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915
X-Accept-Language: en-us, en
To: John Leslie
CC: [email-masked], [email-masked]
Subject: Re: Second Last Call: rfc3852 (Cryptographic Message Syntax (CMS)) to Draft Standard
References: <[email-masked]> <[email-masked]> <20090427175243.GK77973@verdi>
In-Reply-To: <20090427175243.GK77973@verdi>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

John Leslie wrote:

>Alexey Melnikov wrote:
>
>
>>The IESG wrote:
>>
>>
>>>The IESG has received a request from the smime WG (smime) to consider
>>>the following document:
>>>
>>>- 'Cryptographic Message Syntax (CMS)' RFC 3852 as a Draft Standard
>>>
>>>
> This appeared on the agenda for last week's telechat, and confused
>me pretty well. Glad to see I'm not alone! ;^)
>
>
Ok, I feel better now as well :-).

>>>No technical issues were raised during the first Last Call. However,
>>>the Last Call failed to highlight two normative references to standards
>>>track documents of lower maturity: RFCs 3280 and 3281.
>>>
>>>
> As I understand it, the intent was to advance the status of RFC 3852
>with no text changes whatsoever. I tend to support such actions, since
>otherwise it seems "just too hard" to advance Proposed Standard documents
>to Draft Standard.
>
>
Well, I don't think doing some RFC Editor notes to update references is
particularly hard.
IMHO, the implementation report is the hard bit.

>>Speaking as a member of the IETF community I find the question
>>confusing, considering that both documents were obsoleted (or just about
>>to be obsoleted in case of RFC 3281). Shouldn't this be RFC 5280 and
>>draft-ietf-pkix-3281update-04.txt?
>>
>>
> That's an honest issue. We certainly can't make those changes without
>also changing the RFC number.
>
Right.
I don't think keeping the RFC number should be a goal in itself.

>But if we do make those changes, what else
>"needs to change"?
>
I would be happy to discuss this question separately and I think having
an agreement on scope of changes would be a good thing.
I can see people's reluctance not to reopen the document though.

However, I question value of moving a document to a higher level, if it
doesn't actually represent the up-to-date snapshot of protocols used.
Are we expecting that people would read RFC 3852, find all updates to
normative references and make sure that they implement them, instead of
RFCs specified in RFC 3852?

>Can we avoid boilerplate change issues?
>
>
Updating boilerplate is a single world change in xml2rfc source.
Cutting and pasting new boilerplate is not hard either.

> And, provided RFC 3852 retains its original date (which I _think_ is
>a given), I would opine that those references _should_not_ change.
>
>
>>>This abbreviated Last Call is focused solely on whether downrefs to
>>>these Proposed Standards are appropriate in the context of RFC 3852.
>>>
>>>
> So, I will comment on that: IMHO, any such downrefs are appropriate.
>The issue in advancing to Draft Standard is multiple implementations.
>We _have_ multiple implementations based on precisely those references.
>I cannot imagine more appropriate references.
>
>
This sounds good to me.

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RJLvZm060435 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 27 Apr 2009 12:21:57 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3RJLvvE060434; Mon, 27 Apr 2009 12:21:57 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp.nist.gov (rimp1.nist.gov [129.6.16.226]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RJLisl060413 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO) for ; Mon, 27 Apr 2009 12:21:56 -0700 (MST) (envelope-from [email-masked])
Received: from [129.6.224.67] ([129.6.224.67]) by smtp.nist.gov (8.13.1/8.13.1) with ESMTP id n3RJLbXw003707; Mon, 27 Apr 2009 15:21:37 -0400
From: Tim Polk
To: Alexey Melnikov
In-Reply-To: <[email-masked]>
Subject: Re: Second Last Call: rfc3852 (Cryptographic Message Syntax (CMS)) to Draft Standard
References: <[email-masked]> <[email-masked]>
Message-Id:
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v930.3)
Date: Mon, 27 Apr 2009 15:21:36 -0400
Cc: [email-masked], [email-masked]
X-Mailer: Apple Mail (2.930.3)
X-NIST-MailScanner: Found to be clean
X-NIST-MailScanner-From: [email-masked]
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

Alexey,

The goal of this particular exercise is to advance RFC 3852 *without*
revision, so I called out the normative references as specified in the
document: RFCs 3280 and 3281. It is true that RFC 3280 has been
obsoleted by RFC 5280, and that draft-ietf-pkix-3281update is intended
to update 3281. (Both documents cycled/are cycling at Proposed, so
they would still be downrefs even if we submitted a 3852bis to address
the references.) And, yes this makes it more confusing to determine
whether a downref is appropriate.

I would personally factor the clarifications in RFC 5280 in my
evaluation of the downrefs, since I would use it as the basis for any
new implementation of 3852, but would not consider 3281update since it
is still a working document and subject to change.

To me, the question for the community is whether RFC 3852 achieves the
expected characteristics of a Draft Standard (as described in 2026) in
spite of these downrefs:
> A Draft Standard must be well-understood and known to be quite
> stable, both in its semantics and as a basis for developing an
> implementation.

I believe the implementation report adequately demonstrates RFC 3852
*in its totality* is well-understood and provides a stable basis for
developing interoperable implementations. To my mind, this makes
advancement appropriate in spite of the two downrefs.

Thanks,

Tim

On Apr 27, 2009, at 12:15 PM, Alexey Melnikov wrote:

> The IESG wrote:
>
>> The IESG has received a request from the smime WG (smime) to
>> consider the following document:
>>
>> - 'Cryptographic Message Syntax (CMS) '
>> RFC 3852 as a Draft Standard
>>
>> No technical issues were raised during the first Last Call.
>> However, the
>> Last Call failed to highlight two normative references to standards
>> track
>> documents of lower maturity: RFCs 3280 and 3281.
>>
> Speaking as a member of the IETF community I find the question
> confusing, considering that both documents were obsoleted (or just
> about to be obsoleted in case of RFC 3281). Shouldn't this be RFC
> 5280 and draft-ietf-pkix-3281update-04.txt?
>
>> This abbreviated Last Call is focused solely on whether downrefs to
>> these
>> Proposed Standards are appropriate in the context of RFC 3852.
>>
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RHr0Lv054379 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 27 Apr 2009 10:53:00 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3RHr0ul054378; Mon, 27 Apr 2009 10:53:00 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mailhost.jlc.net (mailhost.jlc.net [199.201.159.9]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RHqnGc054369 for ; Mon, 27 Apr 2009 10:52:59 -0700 (MST) (envelope-from [email-masked])
Received: by mailhost.jlc.net (Postfix, from userid 104) id 2AA9233C32; Mon, 27 Apr 2009 13:52:43 -0400 (EDT)
Date: Mon, 27 Apr 2009 13:52:43 -0400
From: John Leslie
To: Alexey Melnikov
Cc: [email-masked], [email-masked]
Subject: Re: Second Last Call: rfc3852 (Cryptographic Message Syntax (CMS)) to Draft Standard
Message-ID: <20090427175243.GK77973@verdi>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <[email-masked]>
User-Agent: Mutt/1.4.1i
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

Alexey Melnikov wrote:
> The IESG wrote:
>
>> The IESG has received a request from the smime WG (smime) to consider
>> the following document:
>>
>> - 'Cryptographic Message Syntax (CMS)' RFC 3852 as a Draft Standard

This appeared on the agenda for last week's telechat, and confused
me pretty well. Glad to see I'm not alone! ;^)

>> No technical issues were raised during the first Last Call. However,
>> the Last Call failed to highlight two normative references to standards
>> track documents of lower maturity: RFCs 3280 and 3281.

As I understand it, the intent was to advance the status of RFC 3852
with no text changes whatsoever. I tend to support such actions, since
otherwise it seems "just too hard" to advance Proposed Standard documents
to Draft Standard.

> Speaking as a member of the IETF community I find the question
> confusing, considering that both documents were obsoleted (or just about
> to be obsoleted in case of RFC 3281). Shouldn't this be RFC 5280 and
> draft-ietf-pkix-3281update-04.txt?

That's an honest issue. We certainly can't make those changes without
also changing the RFC number. But if we do make those changes, what else
"needs to change"? Can we avoid boilerplate change issues?

And, provided RFC 3852 retains its original date (which I _think_ is
a given), I would opine that those references _should_not_ change.

>> This abbreviated Last Call is focused solely on whether downrefs to
>> these Proposed Standards are appropriate in the context of RFC 3852.

So, I will comment on that: IMHO, any such downrefs are appropriate.
The issue in advancing to Draft Standard is multiple implementations.
We _have_ multiple implementations based on precisely those references.
I cannot imagine more appropriate references.

--
John Leslie

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RGlJ5l048847 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 27 Apr 2009 09:47:19 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3RGlJ13048846; Mon, 27 Apr 2009 09:47:19 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from [10.20.30.158] (dsl-63-249-108-169.static.cruzio.com [63.249.108.169]) (authenticated bits=0) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RGlDpE048829 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 27 Apr 2009 09:47:14 -0700 (MST) (envelope-from [email-masked])
Mime-Version: 1.0
Message-Id:
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Date: Mon, 27 Apr 2009 09:47:12 -0700
To: Alexey Melnikov , [email-masked]
From: Paul Hoffman
Subject: Re: Second Last Call: rfc3852 (Cryptographic Message Syntax (CMS)) to Draft Standard
Cc: [email-masked]
Content-Type: text/plain; charset="us-ascii"
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

At 5:15 PM +0100 4/27/09, Alexey Melnikov wrote:
>The IESG wrote:
>
>>The IESG has received a request from the smime WG (smime) to consider the following document:
>>
>>- 'Cryptographic Message Syntax (CMS) '
>> RFC 3852 as a Draft Standard
>>
>>No technical issues were raised during the first Last Call. However, the
>>Last Call failed to highlight two normative references to standards track
>>documents of lower maturity: RFCs 3280 and 3281.
>>
>>
>Speaking as a member of the IETF community I find the question confusing, considering that both documents were obsoleted (or just about to be obsoleted in case of RFC 3281). Shouldn't this be RFC 5280 and draft-ietf-pkix-3281update-04.txt?

Both those documents are also not yet Draft Standards, so the question of down-reference is still the same.

--Paul Hoffman, Director
--VPN Consortium

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RGGLCL045406 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 27 Apr 2009 09:16:22 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3RGGKJD045405; Mon, 27 Apr 2009 09:16:20 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from rufus.isode.com (rufus.isode.com [62.3.217.251]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RGG9ht045382 for ; Mon, 27 Apr 2009 09:16:20 -0700 (MST) (envelope-from [email-masked])
Received: from [172.16.2.120] (shiny.isode.com [62.3.217.250]) by rufus.isode.com (submission channel) via TCP with ESMTPA id ; Mon, 27 Apr 2009 17:16:08 +0100
Message-ID: <[email-masked]>
Date: Mon, 27 Apr 2009 17:15:53 +0100
From: Alexey Melnikov
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915
X-Accept-Language: en-us, en
To: [email-masked]
CC: [email-masked]
Subject: Re: Second Last Call: rfc3852 (Cryptographic Message Syntax (CMS)) to Draft Standard
References: <[email-masked]>
In-Reply-To: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

The IESG wrote:

>The IESG has received a request from the smime WG (smime) to consider
>the following document:
>
>- 'Cryptographic Message Syntax (CMS) '
> RFC 3852 as a Draft Standard
>
>No technical issues were raised during the first Last Call. However, the
>Last Call failed to highlight two normative references to standards track
>documents of lower maturity: RFCs 3280 and 3281.
>
>
Speaking as a member of the IETF community I find the question
confusing, considering that both documents were obsoleted (or just about
to be obsoleted in case of RFC 3281). Shouldn't this be RFC 5280 and
draft-ietf-pkix-3281update-04.txt?

>This abbreviated Last Call is focused solely on whether downrefs to these
>Proposed Standards are appropriate in the context of RFC 3852.
>
>

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RE04E9034227 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 27 Apr 2009 07:00:04 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3RE04W5034226; Mon, 27 Apr 2009 07:00:04 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3RE03aD034220 for ; Mon, 27 Apr 2009 07:00:04 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 30) id 903303A6B12; Mon, 27 Apr 2009 06:58:42 -0700 (PDT)
X-idtracker: yes
To: IETF-Announce
From: The IESG
Subject: Second Last Call: rfc3852 (Cryptographic Message Syntax (CMS)) to Draft Standard
Reply-to: [email-masked]
CC:
Message-Id: <[email-masked]>
Date: Mon, 27 Apr 2009 06:58:42 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

The IESG has received a request from the smime WG (smime) to consider
the following document:

- 'Cryptographic Message Syntax (CMS) '
RFC 3852 as a Draft Standard

No technical issues were raised during the first Last Call. However, the
Last Call failed to highlight two normative references to standards track
documents of lower maturity: RFCs 3280 and 3281.

This abbreviated Last Call is focused solely on whether downrefs to these
Proposed Standards are appropriate in the context of RFC 3852.

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2009-05-06. Exceptionally,
comments may be sent to [email-masked] instead. In either case, please
retain the beginning of the Subject line to allow automated sorting.

The file can be obtained via
http://www.ietf.org/rfc/rfc3852.txt

Implementation Report can be accessed at
http://www.ietf.org/IESG/implementation.html

IESG discussion can be tracked via
https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=3852&rfc_flag=1

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3NKhTBr002286 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 23 Apr 2009 13:43:29 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3NKhT7R002285; Thu, 23 Apr 2009 13:43:29 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp108.biz.mail.re2.yahoo.com (smtp108.biz.mail.re2.yahoo.com [206.190.52.47]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n3NKhIfv002261 for ; Thu, 23 Apr 2009 13:43:28 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 58550 invoked from network); 23 Apr 2009 20:43:17 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp108.biz.mail.re2.yahoo.com with SMTP; 23 Apr 2009 20:43:17 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: nv46i.sVM1lifevqifcWLeemCgkz1GgQiCEeaROovElCE7k1bnEr7SR2l9boKd_l5QnP17._dQ0_I0cf.8XZ6dMoIhwQXJUCYNXejh3C.FbJ1lck4wKoTbL1uNXov5XeULpkPFlYhw.p5q0McrM2mPigZCgwWR6eUGvq.SuIaQ6WehFXFe7UEMEHnd8UeUQFL6z2yJ2RgFztdjbS3CfoWis0WRS.nh6IOZYm3yxOLZdWmdHaL0G37wq9UtT4for1Ey44pSJUlD4uBRqjUxf4kAxq.Vg3apdm90aLAk7tFfe7GwrJ6jjz
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Thu, 23 Apr 2009 16:43:16 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)
MIME-Version: 1.0
To: [email-masked]
Subject: Re: [Fwd: I-D ACTION:draft-ietf-smime-3851bis-09.txt]
References: <[email-masked]> <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

I did receive some comments on this draft at the last second. Two were
on the key size text:

- SHOULD- on 1024-bit DSA key ought to be SHOULD
- In 4.3: 1023 <= key size <= 2048 : MUST needs to be
1024 <= key size <= 2048 : MUST

(this is the same rationale as for 3850bis) The 1st one I think is a
good suggestion because SHOULD- on a key size doesn't seem to make much
sense to me especially in the light of DSA with SHA-256 being a SHOULD+.

The 2nd one is editorial because we can't have two different
requirements for the same key size.

I also received some other non-key size related comments:

- RSA-PSS should be replaced with RSASSA-PSS
- RSA-OAEP should be replaced with RSAES-OESP
- RSASA-PSS in references should be RSASSA-PSS
- Change noted to 3.2.2 not implemented and should also
be applied to 3.6 (replace encrypted with enveloped)
- Rephrase the last sentence in the 2nd para of 2.3:

OLD:

As AES 128 CBC is the mandatory to implement content encryption
algorithm thus, when DH ephemeral-static is supported, AES-128 key wrap
algorithm MUST also be supported.

NEW:

As AES-128 CBC is the mandatory to implement content encryption
algorithm, the AES-128 key wrap algorithm MUST also be supported when DH
ephemeral-static is used

- Rephrase 1st sentence in 4th of Security Considerations

OLD:

The choice of 2048 bits as the RSA asymmetric key size in this
specification is based on the desire to provide 100 bits of security.

NEW:

The choice of 2048 bits as the RSA asymmetric key size in this
specification is based on the desire to provide 112 bits of security.

All but the last I consider editorial and will incorporate. For the
last one, instead of replacing 100 with 112 I'd like to make it say "at
least 100 bits of security". I think this is what we intended though
technically a 2048-bit key size does offer 112 bits of security.

Unless there's strong objections to these resolutions I'll post a new
version of this ID Friday afternoon for Tim to continue processing.

spt

Sean Turner wrote:
>
> To date, I have received no comments on this version of the ID.
>
> spt
>
> Sean Turner wrote:
>> This ID incorporates comments necessary to resolve IESG DISCUSSES, one
>> IETF LC comment I missed, and incorporates key size text from our Area
>> Directory. The changes were in some cases significant and as a result
>> I'm asking for a one week comment period that will end 22 April 2009 @
>> 8am EST.
>>
>> spt
>
>

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3NJnRn7099037 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 23 Apr 2009 12:49:27 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3NJnQmP099036; Thu, 23 Apr 2009 12:49:26 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp102.biz.mail.re2.yahoo.com (smtp102.biz.mail.re2.yahoo.com [68.142.229.216]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n3NJnF07099022 for ; Thu, 23 Apr 2009 12:49:25 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 24681 invoked from network); 23 Apr 2009 19:49:11 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp102.biz.mail.re2.yahoo.com with SMTP; 23 Apr 2009 19:49:11 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: TT9xZAoVM1nSdZZ_0tU9iF.Zr5WO6DGXEdmrXa5LK5sd5Q84tzF1LPch9xqb8hVabJGtyudN0ZZJEVogq5AABUyZTqTmKQ5MazS9iQZizVj0lD6JAJW1Ht7mEpNUkmvLYDOFM0ZeTEH3E4dz6AAsGgkOh6GpJuOQBPnA5EDDDuFBdnizjqhbWUpoSUKYIjFxOTe6INXKQZpsC2ODFjHIHgxbPJWTTcgHXLbPIHXNAn5qh3itndRsOl2l2jKoFkI4HQkaMJTicQSqP1i9Ed_.AvFIzkpxIOu8sy8fYCpiTWVsSCs0o.Wp
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Thu, 23 Apr 2009 15:49:10 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)
MIME-Version: 1.0
To: [email-masked]
Subject: Re: [Fwd: I-D ACTION:draft-ietf-smime-3850bis-09.txt]
References: <[email-masked]> <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

I did receive some comments on this draft at the last second:

- SHOULD- on 1024-bit DSA key ought to be SHOULD
- RSA-PSS should be replaced with RSASSA-PSS
- RSASA-PSS in references should be RSASSA-PSS

I think the 1st one is a good suggestion because SHOULD- on a key size
doesn't seem to make much sense to me especially in the light of DSA
with SHA-256 being a SHOULD+.

The last two are editorial.

Unless there's strong objections to adopting these changes, I'll post a
new version of this ID Friday afternoon for Tim to continue processing.

spt

Sean Turner wrote:
>
> To date, I have received no comments on this version of the ID.
>
> spt
>
> Sean Turner wrote:
>> This ID incorporates comments necessary to resolve IESG DISCUSSES and
>> incorporates key size text from our Area Director. The changes were
>> in some cases significant and as a result I'm asking for a one week
>> comment period that will end 22 April 2009 @ 8am EST.
>>
>> spt
>
>

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3LCVIID047260 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 21 Apr 2009 05:31:18 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3LCVIds047259; Tue, 21 Apr 2009 05:31:18 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp104.biz.mail.re2.yahoo.com (smtp104.biz.mail.re2.yahoo.com [206.190.52.173]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n3LCV6r1047233 for ; Tue, 21 Apr 2009 05:31:17 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 24098 invoked from network); 21 Apr 2009 12:31:06 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp104.biz.mail.re2.yahoo.com with SMTP; 21 Apr 2009 12:31:06 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: uWbT5h8VM1mwZCCdf6dQqr4DmhWIViPrvjcHK2NBnbVb6GARebJU8PgCxkV.V8eomurYqhDk9LfZ_JB7FCD_1VthYxP0mMWLdXpukDF_ENCJZpfmjAQL5kuiLHyR4xCgtGRHBdgqHK8p6.eX0Uzm.F6fc2H5.Vh29fbTO3dF.fWLDoWkGH5UM1bEpyFxFjwsLoj.8W9IDRmuB51VlHekEA0Q7KwQBMELm5CASLBOepvopJijmhvpgUb6I2FSVbrzv0.JpbGO2FKe_8xUTKtlTar7s9uM1omFbHagV2xMM8fU2I.Us.k-
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Tue, 21 Apr 2009 08:31:05 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)
MIME-Version: 1.0
To: [email-masked]
Subject: Re: [Fwd: I-D ACTION:draft-ietf-smime-3850bis-09.txt]
References: <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

To date, I have received no comments on this version of the ID.

spt

Sean Turner wrote:
> This ID incorporates comments necessary to resolve IESG DISCUSSES and
> incorporates key size text from our Area Director. The changes were in
> some cases significant and as a result I'm asking for a one week comment
> period that will end 22 April 2009 @ 8am EST.
>
> spt

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3LCUvXV047223 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 21 Apr 2009 05:30:57 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3LCUvYB047222; Tue, 21 Apr 2009 05:30:57 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp101.biz.mail.re2.yahoo.com (smtp101.biz.mail.re2.yahoo.com [68.142.229.215]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n3LCUjc8047208 for ; Tue, 21 Apr 2009 05:30:56 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 26599 invoked from network); 21 Apr 2009 12:30:45 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp101.biz.mail.re2.yahoo.com with SMTP; 21 Apr 2009 12:30:45 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: yIDK4hkVM1mAEwJNaBbDg7jI9YfiPnN948Re0wrflRmCR3GfRYyLhRqNX3sZmtTzHGEWhulHqJlnvTdLpID5n6Udy68OUC99PjZixpVhUZmJbmEPI11eMGPnsNOQuZJ.ACIdRShWzc8RjAJ88J2vTfG4RgXBHzuw.5sLK77N2Sv_36OMm6Kb3iPt4HLOS9FKmVDrvhxeHr6Ys6jVj89cLV8gPNjWORfSqbR0IWpvk4lFJD8BGKOSXeHzR.SMRVen.MuDDeIR0hg29ZmnxMg6Jly2oHfdd1hsovjROG0DqwmWYpoUp3o-
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Tue, 21 Apr 2009 08:30:44 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)
MIME-Version: 1.0
To: [email-masked]
Subject: Re: [Fwd: I-D ACTION:draft-ietf-smime-3851bis-09.txt]
References: <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

To date, I have received no comments on this version of the ID.

spt

Sean Turner wrote:
> This ID incorporates comments necessary to resolve IESG DISCUSSES, one
> IETF LC comment I missed, and incorporates key size text from our Area
> Directory. The changes were in some cases significant and as a result
> I'm asking for a one week comment period that will end 22 April 2009 @
> 8am EST.
>
> spt

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3FLvRYF064730 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 15 Apr 2009 14:57:27 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3FLvRqs064729; Wed, 15 Apr 2009 14:57:27 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp109.biz.mail.re2.yahoo.com (smtp109.biz.mail.re2.yahoo.com [206.190.53.8]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n3FLvFFV064719 for ; Wed, 15 Apr 2009 14:57:26 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 68777 invoked from network); 15 Apr 2009 21:57:15 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp109.biz.mail.re2.yahoo.com with SMTP; 15 Apr 2009 21:57:14 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: Fb_JL9EVM1kZcU7adPw16u4rlXm5c1qcmxtPOE7TgMAYP1wzq1iLMjQRpBHEjTmHSKM41GdsFWWixVj3GzK9ra.c3jF2dUkNgR3I_gp9.m3abDm6mv.TzLmrKC1CLQvq7UwUpRmHszLejHdls7JdujkO_.U5IHDjtcWnRU9iyaH_tqCkQuMx10.Da0bmz2tFtTje1lfrXHb5MFoFWqHZFBK8EHjpf78yvcOpA.gxWRi10sgk5kkgnbgan5ouPI3CaWZ2xUek18Ys1lA.CnBOe1Qscu6nax40h9g_gX0VSL_NGLFcyUywQ8hwTQDmDSzwD0dv8MjpxHxnv1si
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Wed, 15 Apr 2009 17:57:14 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)
MIME-Version: 1.0
To: [email-masked]
Subject: Re: I-D ACTION:draft-ietf-smime-3278bis-06.txt
References: <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

This version addresses some comments I got from Russ after WG LC:
clarification of text for id-ecPublicKey parameters, some internal
paragraph references, being more explicit about where the ephemeral
key, and fixing some of the SMIME Capabilities. It also includes one
comment from Maxim about the digest algorithm being the same as the one
named in the signature alg.

spt

[email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the S/MIME Mail Security Working Group of the IETF.
>
> Title : Use of Elliptic Curve Cryptography (ECC) Algorithms in Cryptographic Message Syntax (CMS)
> Author(s) : S. Turner, D. Brown
> Filename : draft-ietf-smime-3278bis-06.txt
> Pages : 56
> Date : 2009-4-15
>
> This document describes how to use Elliptic Curve Cryptography (ECC)
> public-key algorithms in the Cryptographic Message Syntax (CMS). The
> ECC algorithms support the creation of digital signatures and the
> exchange of keys to encrypt or authenticate content. The definition
> of the algorithm processing is based on the NIST FIPS 186-3 for
> digital signature, NIST SP800-56A and SEC1 for key agreement, RFC
> 3370 and RFC 3565 for key wrap and content encryption, NIST FIPS 180-
> 3 for message digest, SEC1 for key derivation, and RFC 2104 and RFC
> 4231 for message authentication code standards. This document
> obsoletes RFC 3278.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-smime-3278bis-06.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3FKkFID059783 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 15 Apr 2009 13:46:15 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3FKkFDF059782; Wed, 15 Apr 2009 13:46:15 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3FKkFtG059770 for ; Wed, 15 Apr 2009 13:46:15 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0) id 1D9ED3A6F4E; Wed, 15 Apr 2009 13:45:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-smime-3278bis-06.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Wed, 15 Apr 2009 13:45:02 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : Use of Elliptic Curve Cryptography (ECC) Algorithms in Cryptographic Message Syntax (CMS)
Author(s) : S. Turner, D. Brown
Filename : draft-ietf-smime-3278bis-06.txt
Pages : 56
Date : 2009-4-15

This document describes how to use Elliptic Curve Cryptography (ECC)
public-key algorithms in the Cryptographic Message Syntax (CMS). The
ECC algorithms support the creation of digital signatures and the
exchange of keys to encrypt or authenticate content. The definition
of the algorithm processing is based on the NIST FIPS 186-3 for
digital signature, NIST SP800-56A and SEC1 for key agreement, RFC
3370 and RFC 3565 for key wrap and content encryption, NIST FIPS 180-
3 for message digest, SEC1 for key derivation, and RFC 2104 and RFC
4231 for message authentication code standards. This document
obsoletes RFC 3278.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-3278bis-06.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-3278bis-06.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3EJWsZh050903 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 14 Apr 2009 12:32:54 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3EJWrp0050902; Tue, 14 Apr 2009 12:32:53 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp101.biz.mail.re2.yahoo.com (smtp101.biz.mail.re2.yahoo.com [68.142.229.215]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n3EJWgL4050877 for ; Tue, 14 Apr 2009 12:32:53 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 24543 invoked from network); 14 Apr 2009 19:32:42 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp101.biz.mail.re2.yahoo.com with SMTP; 14 Apr 2009 19:32:42 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: M2DD1XkVM1nDmBMAbVHePbieser39TsEQItFDp2twmqBn1HhnReHjv6HpOGR5v9N.pJeosNlw_aIA20BFGcu2U02e2ZzNKnPGQfo3Y4jwpHUZdx_AIe6B9r28MmcPQXyPKODqYLbYC6tqs96w.5yyfTgHoDFi5hYrOBNUlm0oeDPz7rk1PwNdOyTMTT8k9_Rv0QGaucGznaX.lsWuomJWKlyYFAEIB3lUyagJdYjK3lf7MrX.4att1sLOzMjdHmAweGt3d2JOTt_bfVVCy93DOD9be7JGb90tqN2Lc3DER87os4voW0DUBzWnlukuEV4AHU7uDs.vZu9bP69bQ--
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Tue, 14 Apr 2009 15:32:41 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)
MIME-Version: 1.0
To: [email-masked]
Subject: [Fwd: I-D ACTION:draft-ietf-smime-3851bis-09.txt]
Content-Type: multipart/mixed; boundary="------------080901050206070909020603"
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

This is a multi-part message in MIME format.
--------------080901050206070909020603
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

This ID incorporates comments necessary to resolve IESG DISCUSSES, one
IETF LC comment I missed, and incorporates key size text from our Area
Directory. The changes were in some cases significant and as a result
I'm asking for a one week comment period that will end 22 April 2009 @
8am EST.

spt

--------------080901050206070909020603
Content-Type: message/rfc822;
name="I-D ACTION:draft-ietf-smime-3851bis-09.txt.eml"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
filename="I-D ACTION:draft-ietf-smime-3851bis-09.txt.eml"

X-Account-Key: account2
X-Mozilla-Keys:
X-Apparently-To: [email-masked] via 216.252.120.72; Tue, 07 Apr 2009 14:19:11 -0700
X-Originating-IP: [192.245.12.227]
Authentication-Results: mta118.biz.mail.mud.yahoo.com from=mail.imc.org; domainkeys=neutral (no sig); from=mail.imc.org; dkim=neutral (no sig)
Received: from 192.245.12.227 (EHLO balder-227.proper.com) (192.245.12.227)
by mta118.biz.mail.mud.yahoo.com with SMTP; Tue, 07 Apr 2009 14:19:11 -0700
Received: from balder-227.proper.com (localhost [127.0.0.1])
by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n37KkATJ025669
(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
Tue, 7 Apr 2009 13:46:10 -0700 (MST)
(envelope-from [email-masked])
Received: (from majordom@localhost)
by balder-227.proper.com (8.14.2/8.13.5/Submit) id n37Kk91G025668;
Tue, 7 Apr 2009 13:46:09 -0700 (MST)
(envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32])
by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n37Kk9O3025661
for ; Tue, 7 Apr 2009 13:46:09 -0700 (MST)
(envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0)
id E94CB3A6E10; Tue, 7 Apr 2009 13:45:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-smime-3851bis-09.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Tue, 7 Apr 2009 13:45:01 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : Secure/Multipurpose Internet Mail Extensions (S/MIME) Version 3.2 Message Specification
Author(s) : B. Ramsdell, S. Turner
Filename : draft-ietf-smime-3851bis-09.txt
Pages : 45
Date : 2009-4-7

This document defines Secure/Multipurpose Internet Mail Extensions
(S/MIME) version 3.2. S/MIME provides a consistent way to send and
receive secure MIME data. Digital signatures provide authentication,
message integrity, and non-repudiation with proof of origin.
Encryption provides data confidentiality. Compression can be used to
reduce data size. This document obsoletes RFC 3851.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-3851bis-09.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-3851bis-09.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

--------------080901050206070909020603--

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3EJWmNu050891 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 14 Apr 2009 12:32:48 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3EJWmZs050890; Tue, 14 Apr 2009 12:32:48 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp107.biz.mail.re2.yahoo.com (smtp107.biz.mail.re2.yahoo.com [206.190.52.176]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n3EJWaao050875 for ; Tue, 14 Apr 2009 12:32:47 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 89029 invoked from network); 14 Apr 2009 19:32:36 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp107.biz.mail.re2.yahoo.com with SMTP; 14 Apr 2009 19:32:36 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: LPgyJP8VM1kzor1x558PQ.vhvF8ufv_jpddqOlCz2ug0wtGO_G7Lb4W_Hq2DiCcbDkdS4btPg8JRvXz6aOzpNxni1gylcpwavbnu4o80mKOem4cLdukHqavQc.pD0HKda6lv0EqmqYFEuhbEZJ6u6ceATqDj75icbDR.gb1sY3FKWT2Q60NmtwiUcYG_UYTEXShZKPI_vU2Nyf2hujdqI_zDLRXFeXeEmjnA1UbZObeH3dTIXtcHr6US6ccDCbUNXxuLWnrt4b6Yfo0yxmn927oPcIrtVNFfGwTT17BzpK5jTZ15EVm_wWvN0_ZNfIYRlbPXMSTLPacJjMUN5w--
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Tue, 14 Apr 2009 15:32:35 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)
MIME-Version: 1.0
To: [email-masked]
Subject: [Fwd: I-D ACTION:draft-ietf-smime-3850bis-09.txt]
Content-Type: multipart/mixed; boundary="------------060806030804030109010706"
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

This is a multi-part message in MIME format.
--------------060806030804030109010706
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

This ID incorporates comments necessary to resolve IESG DISCUSSES and
incorporates key size text from our Area Director. The changes were in
some cases significant and as a result I'm asking for a one week comment
period that will end 22 April 2009 @ 8am EST.

spt

--------------060806030804030109010706
Content-Type: message/rfc822;
name="I-D ACTION:draft-ietf-smime-3850bis-09.txt.eml"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
filename="I-D ACTION:draft-ietf-smime-3850bis-09.txt.eml"

X-Account-Key: account2
X-Mozilla-Keys:
X-Apparently-To: [email-masked] via 216.252.120.78; Tue, 14 Apr 2009 10:00:10 -0700
X-Originating-IP: [192.245.12.227]
Authentication-Results: mta102.biz.mail.mud.yahoo.com from=mail.imc.org; domainkeys=neutral (no sig); from=mail.imc.org; dkim=neutral (no sig)
Received: from 192.245.12.227 (EHLO balder-227.proper.com) (192.245.12.227)
by mta102.biz.mail.mud.yahoo.com with SMTP; Tue, 14 Apr 2009 10:00:10 -0700
Received: from balder-227.proper.com (localhost [127.0.0.1])
by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3EGkEIO038849
(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
Tue, 14 Apr 2009 09:46:14 -0700 (MST)
(envelope-from [email-masked])
Received: (from majordom@localhost)
by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3EGkESo038848;
Tue, 14 Apr 2009 09:46:14 -0700 (MST)
(envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32])
by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3EGkD8q038842
for ; Tue, 14 Apr 2009 09:46:14 -0700 (MST)
(envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0)
id 601B53A68A4; Tue, 14 Apr 2009 09:45:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-smime-3850bis-09.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Tue, 14 Apr 2009 09:45:01 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : Secure/Multipurpose Internet Mail Extensions (S/MIME) Version 3.2 Certificate Handling
Author(s) : S. Turner, B. Ramsdell
Filename : draft-ietf-smime-3850bis-09.txt
Pages : 22
Date : 2009-4-14

This document specifies conventions for X.509 certificate usage by
Secure/Multipurpose Internet Mail Extensions (S/MIME) v3.2 agents.
S/MIME provides a method to send and receive secure MIME messages,
and certificates are an integral part of S/MIME agent processing.
S/MIME agents validate certificates as described in RFC 5280, the
Internet X.509 Public Key Infrastructure Certificate and CRL Profile.
S/MIME agents must meet the certificate processing requirements in
this document as well as those in RFC 5280. This document obsoletes
RFC 3850.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-3850bis-09.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-3850bis-09.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

--------------060806030804030109010706--

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3EGkEIO038849 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 14 Apr 2009 09:46:14 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3EGkESo038848; Tue, 14 Apr 2009 09:46:14 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3EGkD8q038842 for ; Tue, 14 Apr 2009 09:46:14 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0) id 601B53A68A4; Tue, 14 Apr 2009 09:45:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-smime-3850bis-09.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Tue, 14 Apr 2009 09:45:01 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : Secure/Multipurpose Internet Mail Extensions (S/MIME) Version 3.2 Certificate Handling
Author(s) : S. Turner, B. Ramsdell
Filename : draft-ietf-smime-3850bis-09.txt
Pages : 22
Date : 2009-4-14

This document specifies conventions for X.509 certificate usage by
Secure/Multipurpose Internet Mail Extensions (S/MIME) v3.2 agents.
S/MIME provides a method to send and receive secure MIME messages,
and certificates are an integral part of S/MIME agent processing.
S/MIME agents validate certificates as described in RFC 5280, the
Internet X.509 Public Key Infrastructure Certificate and CRL Profile.
S/MIME agents must meet the certificate processing requirements in
this document as well as those in RFC 5280. This document obsoletes
RFC 3850.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-3850bis-09.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-3850bis-09.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3C1g0Kk015410 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sat, 11 Apr 2009 18:42:00 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3C1g0QG015409; Sat, 11 Apr 2009 18:42:00 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp.microsoft.com (mail1.microsoft.com [131.107.115.212]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3C1fnME015400 (version=TLSv1/SSLv3 cipher=RC4-MD5 bits=128 verify=NO) for ; Sat, 11 Apr 2009 18:41:59 -0700 (MST) (envelope-from [email-masked])
Received: from TK5-EXHUB-C102.redmond.corp.microsoft.com (157.54.18.53) by TK5-EXGWY-E801.partners.extranet.microsoft.com (10.251.56.50) with Microsoft SMTP Server (TLS) id 8.2.99.4; Sat, 11 Apr 2009 18:41:48 -0700
Received: from tk5-exmlt-w601.wingroup.windeploy.ntdev.microsoft.com (157.54.18.32) by TK5-EXHUB-C102.redmond.corp.microsoft.com (157.54.18.53) with Microsoft SMTP Server id 8.2.99.4; Sat, 11 Apr 2009 18:41:48 -0700
Received: from Pickup by mail.windows.microsoft.com with Microsoft SMTP Server id 8.1.291.1; Sun, 12 Apr 2009 01:43:43 +0000
X-BigFish: ps-50(zzzz1202hzz1033ILz2fheILfR6bh)
X-FB-SS: 5,
X-Original-To: [email-masked]
Delivered-To: [email-masked]
X-idtracker: yes
To: IETF-Announce
From: The IESG
Subject: Last Call: rfc3852 (Cryptographic Message Syntax (CMS)) to Draft Standard
Message-ID: <[email-masked]>
Date: Wed, 8 Apr 2009 07:12:26 -0700
CC:
X-BeenThere: [email-masked]
X-Mailman-Version: 2.1.9
Reply-To:
List-Id: "IETF announcement list. No discussions."
List-Unsubscribe: ,
List-Archive:
List-Post:
List-Help:
List-Subscribe: ,
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Received-SPF: Pass (tk5-exgwy-e802.partners.extranet.microsoft.com: domain of [email-masked] designates 64.170.98.32 as permitted sender) receiver=tk5-exgwy-e802.partners.extranet.microsoft.com; client-ip=64.170.98.32; helo=mail24-tx2-R.bigfish.com;
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

The IESG has received a request from the smime WG (smime) to consider
the following document:

- 'Cryptographic Message Syntax (CMS) '
RFC 3852 as a Draft Standard

Note that the implementation report was prepared according to the
guidelines
in the following internet draft
http://www.ietf.org/internet-drafts/draft-dusseault-impl-reports-01.txt

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2009-04-22. Exceptionally,
comments may be sent to [email-masked] instead. In either case, please
retain the beginning of the Subject line to allow automated sorting.

The file can be obtained via
http://www.ietf.org/rfc/rfc3852.txt

Implementation Report can be accessed at
http://www.ietf.org/IESG/implementation.html

IESG discussion can be tracked via
https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=3852&rfc_flag=1

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-announce

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n38EDjvh001456 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 8 Apr 2009 07:13:45 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n38EDjPb001455; Wed, 8 Apr 2009 07:13:45 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n38EDYfk001430 for ; Wed, 8 Apr 2009 07:13:44 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 30) id 9B4803A6953; Wed, 8 Apr 2009 07:12:26 -0700 (PDT)
X-idtracker: yes
To: IETF-Announce
From: The IESG
Subject: Last Call: rfc3852 (Cryptographic Message Syntax (CMS)) to Draft Standard
Reply-to: [email-masked]
CC:
Message-Id: <[email-masked]>
Date: Wed, 8 Apr 2009 07:12:26 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

The IESG has received a request from the smime WG (smime) to consider
the following document:

- 'Cryptographic Message Syntax (CMS) '
RFC 3852 as a Draft Standard

Note that the implementation report was prepared according to the
guidelines
in the following internet draft
http://www.ietf.org/internet-drafts/draft-dusseault-impl-reports-01.txt

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2009-04-22. Exceptionally,
comments may be sent to [email-masked] instead. In either case, please
retain the beginning of the Subject line to allow automated sorting.

The file can be obtained via
http://www.ietf.org/rfc/rfc3852.txt

Implementation Report can be accessed at
http://www.ietf.org/IESG/implementation.html

IESG discussion can be tracked via
https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=3852&rfc_flag=1

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n38Dh1Is098478 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 8 Apr 2009 06:43:01 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n38Dh1QF098477; Wed, 8 Apr 2009 06:43:01 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp105.biz.mail.re2.yahoo.com (smtp105.biz.mail.re2.yahoo.com [206.190.52.174]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n38DgoF6098453 for ; Wed, 8 Apr 2009 06:43:00 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 86038 invoked from network); 8 Apr 2009 13:42:50 -0000
Received: from unknown (HELO thunderfish.local) ([email-masked] with plain) by smtp105.biz.mail.re2.yahoo.com with SMTP; 8 Apr 2009 13:42:50 -0000
X-Yahoo-SMTP: qPTWNAeswBAtDTSn9GKlmmL3C90ke7grn_5n9To-
X-YMail-OSG: 32iutBEVM1m0YoeaM.rD1GkSyhG34L_9Hw7lUKi2dzCSVldMWessLAqAVHAr2m_5YU67Mo82JZic_NTvwNWKRcazRX56l39MzZGRnyv_x4mtZJ1Ew_dh3_5ux0J_syylzqOebV20BLs9ZB5YkdwJRsjkjhSpoG9yBEkO28tdQrBy5CuXHIWh4iBERxADCh4gx3LU5HBHqLK2FgZG0YhZZ7iO9OQjKQDCb8MoxZQfJYpzdP_86yYVFgnd2VK.Ke.oNGdG8H1HSPr2sfWWAmx3AmjtSruyDkG.e5U_ZBU0ASXU8zpLljZnZdwf3fx4k7cZDLHSd622I4lNJ88-
X-Yahoo-Newman-Property: ymail-3
Message-ID: <[email-masked]>
Date: Wed, 08 Apr 2009 09:42:49 -0400
From: Sean Turner
User-Agent: Thunderbird 2.0.0.21 (Macintosh/20090302)
MIME-Version: 1.0
To: [email-masked]
Subject: CMS Interoperability Report
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

Please note the following interoperability report that was posted based
on responses to the CMS Questionnaire and information from
interoperability testing done for RFC 2630:
http://www.ietf.org/IESG/implementation.html. This report will be used
as input to the process that hopefully progresses RFC 3852 from proposed
standard to draft standard.

spt

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n37KkATJ025669 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 7 Apr 2009 13:46:10 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n37Kk91G025668; Tue, 7 Apr 2009 13:46:09 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n37Kk9O3025661 for ; Tue, 7 Apr 2009 13:46:09 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0) id E94CB3A6E10; Tue, 7 Apr 2009 13:45:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-smime-3851bis-09.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Tue, 7 Apr 2009 13:45:01 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : Secure/Multipurpose Internet Mail Extensions (S/MIME) Version 3.2 Message Specification
Author(s) : B. Ramsdell, S. Turner
Filename : draft-ietf-smime-3851bis-09.txt
Pages : 45
Date : 2009-4-7

This document defines Secure/Multipurpose Internet Mail Extensions
(S/MIME) version 3.2. S/MIME provides a consistent way to send and
receive secure MIME data. Digital signatures provide authentication,
message integrity, and non-repudiation with proof of origin.
Encryption provides data confidentiality. Compression can be used to
reduce data size. This document obsoletes RFC 3851.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-3851bis-09.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-3851bis-09.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n3731LND057800 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 6 Apr 2009 20:01:21 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n3731L2E057796; Mon, 6 Apr 2009 20:01:21 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n37318tE057773 for ; Mon, 6 Apr 2009 20:01:20 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0) id E719C3A6A4A; Mon, 6 Apr 2009 20:00:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action:draft-ietf-smime-new-asn1-05.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Mon, 6 Apr 2009 20:00:01 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : New ASN.1 Modules for CMS and S/MIME
Author(s) : P. Hoffman, J. Schaad
Filename : draft-ietf-smime-new-asn1-05.txt
Pages : 61
Date : 2009-04-06

The Cryptographic Message Syntax (CMS) format, and many associated
formats, are expressed using ASN.1. The current ASN.1 modules
conform to the 1988 version of ASN.1. This document updates those
ASN.1 modules to conform to the 2002 version of ASN.1. There are no
bits-on-the-wire changes to any of the formats; this is simply a
change to the syntax.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-new-asn1-05.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-new-asn1-05.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n36LG8k3041569 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 6 Apr 2009 14:16:08 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n36LG8qP041567; Mon, 6 Apr 2009 14:16:08 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n36LG7Ww041556 for ; Mon, 6 Apr 2009 14:16:07 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0) id 3FBB93A6D09; Mon, 6 Apr 2009 14:15:01 -0700 (PDT)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action:draft-ietf-smime-new-asn1-04.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Mon, 6 Apr 2009 14:15:01 -0700 (PDT)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-ID:
List-Unsubscribe:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

Title : New ASN.1 Modules for CMS and S/MIME
Author(s) : P. Hoffman, J. Schaad
Filename : draft-ietf-smime-new-asn1-04.txt
Pages : 61
Date : 2009-04-06

The Cryptographic Message Syntax (CMS) format, and many associated
formats, are expressed using ASN.1. The current ASN.1 modules
conform to the 1988 version of ASN.1. This document updates those
ASN.1 modules to conform to the 2002 version of ASN.1. There are no
bits-on-the-wire changes to any of the formats; this is simply a
change to the syntax.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-new-asn1-04.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-smime-new-asn1-04.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--